SolrClient::optimize
SolrClient::query
SolrClient
PHP Manual

# SolrClient::ping

(PECL solr >= 0.9.2)

SolrClient::ping — Checks if Solr server is still up

### Description

public SolrPingResponse SolrClient::ping ( void )

Checks if the Solr server is still alive. Sends a HEAD request to the Apache Solr server.

### Parameters

This function has no parameters.

### Return Values

Returns a SolrPingResponse object on success and throws a SolrClientException on failure.

### Examples

Example #1 SolrClient::ping example

`<?php
$options = array
(
'hostname' => SOLR_SERVER_HOSTNAME,
'login' => SOLR_SERVER_USERNAME,
'password' => SOLR_SERVER_PASSWORD,
'port' => SOLR_SERVER_PORT,
);
$client = new SolrClient($options);
$pingresponse = $client->ping();
?>`

The above example will output something similar to:

SolrClient::optimize
SolrClient::query
SolrClient
PHP Manual